Package musicbrainz2 :: Module wsxml :: Class ReleaseGroupResult

[frames] | no frames]

# Class ReleaseGroupResult

source code

        object --+
                 |
    AbstractResult --+
                     |
                    ReleaseGroupResult

Represents a release group result.

A ReleaseGroupResult consists of a score and a release group. The score is a number between 0 and 100, where a higher number indicates a better match.

Instance Methods

__init__(self, releaseGroup, score) x.__init__(...) initializes x; see help(type(x)) for signature | source code

getReleaseGroup(self) Returns a ReleaseGroup object. | source code

setReleaseGroup(self, value) | source code

Inherited from `AbstractResult`: `getScore`, `setScore` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| releaseGroup A ReleaseGroup object.
Inherited from `AbstractResult`: `score` Inherited from `object`: `__class__`

Method Details

### __init__(self, releaseGroup, score)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### getReleaseGroup(self)

source code

Returns a ReleaseGroup object.

Returns:
  a musicbrainz2.model.ReleaseGroup object

Property Details

### releaseGroup

A ReleaseGroup object.

Get Method:
  getReleaseGroup(self) - Returns a ReleaseGroup object.
Set Method:
  setReleaseGroup(self, value)